{
  "name": "verzoeken-validation-api",
  "version": "0.0.1",
  "description": "Api that uses formiojs to validate formio input based on the original form",
  "author": "Exxellence",
  "contributors": [
    "Exxellence B.V. <info@exxellence.nl> (https://www.exxellence.nl/)",
    "Niek Bruins niek.bruins@xxllnc.nl"
  ],
  "license": "EUPL-1.2",
  "scripts": {
    "start": "yarn run build && cross-env NODE_ENV=production node build/server.js",
    "dev": "cross-env NODE_ENV=development nodemon",
    "build": "swc src -d build --source-maps --copy-files",
    "build:tsc": "tsc && tsc-alias",
    "test": "jest --forceExit",
    "test:CI:coverage": "CI=true jest --forceExit --color --ci --coverage",
    "check-types": "tsc --noemit",
    "lint": "eslint --ignore-path .gitignore --ext .ts src/ && yarn check-types",
    "lint:fix": "yarn run lint -- --fix"
  },
  "resolutions": {
    "moment-timezone": "0.5.35",
    "moment": "2.29.4"
  },
  "dependencies": {
    "bcrypt": "^5.0.1",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.13.1",
    "class-validator-jsonschema": "^3.1.1",
    "compression": "^1.7.4",
    "cookie-parser": "^1.4.5",
    "cors": "^2.8.5",
    "dotenv": "^16.0.2",
    "envalid": "^7.1.0",
    "express": "^4.17.1",
    "formio-workers": "^1.16.4",
    "formiojs": "^4.14.10",
    "helmet": "^6.0.0",
    "hpp": "^0.2.3",
    "jsonwebtoken": "^8.5.1",
    "morgan": "^1.10.0",
    "reflect-metadata": "^0.1.13",
    "routing-controllers": "^0.9.0",
    "routing-controllers-openapi": "^3.0.0",
    "swagger-ui-express": "^4.6.0",
    "vm2": "^3.9.11",
    "winston": "^3.8.2"
  },
  "devDependencies": {
    "@swc/cli": "^0.1.51",
    "@swc/core": "^1.3.19",
    "@types/bcrypt": "^5.0.0",
    "@types/compression": "^1.7.1",
    "@types/cookie-parser": "^1.4.2",
    "@types/cors": "^2.8.11",
    "@types/express": "^4.17.14",
    "@types/hpp": "^0.2.1",
    "@types/jest": "29.2.3",
    "@types/jsonwebtoken": "^8.5.9",
    "@types/morgan": "^1.9.3",
    "@types/node": "^18.7.18",
    "@types/supertest": "^2.0.11",
    "@types/swagger-ui-express": "^4.1.3",
    "@typescript-eslint/eslint-plugin": "^5.44.0",
    "@typescript-eslint/parser": "^5.44.0",
    "audit-ci": "^6.3.0",
    "cross-env": "^7.0.3",
    "eslint": "^8.28.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-no-unsanitized": "^4.0.1",
    "eslint-plugin-prefer-arrow": "^1.2.3",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-security": "^1.5.0",
    "husky": "^8.0.2",
    "jest": "29.3.1",
    "license-checker-rseidelsohn": "^3.1.0",
    "lint-staged": "^13.0.3",
    "node-config": "^0.0.2",
    "node-gyp": "^9.1.0",
    "nodemon": "^2.0.20",
    "prettier": "^2.8.0",
    "supertest": "^6.2.4",
    "ts-jest": "29.0.3",
    "ts-node": "^10.9.1",
    "tsc-alias": "^1.7.1",
    "tsconfig-paths": "^4.1.0",
    "typescript": "^4.9.3"
  }
}
